Package org.apache.sysds.runtime.io

# Class ReaderHDF5

java.lang.Object
org.apache.sysds.runtime.io.MatrixReader
org.apache.sysds.runtime.io.ReaderHDF5

Direct Known Subclasses:
  `ReaderHDF5Parallel`

public class ReaderHDF5 extends MatrixReader

## Constructor Summary

Constructors
Constructor
Description
`ReaderHDF5(FileFormatPropertiesHDF5 props)`

## Method Summary

Modifier and Type
Method
Description
`static MatrixBlock`
`computeHDF5Size(List<org.apache.hadoop.fs.Path> files, org.apache.hadoop.fs.FileSystem fs, String datasetName, long estnnz)`
`static long`
`readMatrixFromHDF5(H5ByteReader byteReader, String datasetName, MatrixBlock dest, int rl, long ru, long clen, int blen)`
`MatrixBlock`
`readMatrixFromHDFS(String fname, long rlen, long clen, int blen, long estnnz)`
`MatrixBlock`
`readMatrixFromInputStream(InputStream is, long rlen, long clen, int blen, long estnnz)`

### Methods inherited from class org.apache.sysds.runtime.io.MatrixReader

`checkValidInputFile`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReaderHDF5

public ReaderHDF5(FileFormatPropertiesHDF5 props)

## Method Details

### readMatrixFromHDFS

public MatrixBlock readMatrixFromHDFS(String fname, long rlen, long clen, int blen, long estnnz) throws IOException, DMLRuntimeException

Specified by:
  `readMatrixFromHDFS` in class `MatrixReader`
Throws:
  `IOException`
  `DMLRuntimeException`

### readMatrixFromInputStream

public MatrixBlock readMatrixFromInputStream(InputStream is, long rlen, long clen, int blen, long estnnz) throws IOException, DMLRuntimeException

Specified by:
  `readMatrixFromInputStream` in class `MatrixReader`
Throws:
  `IOException`
  `DMLRuntimeException`

### readMatrixFromHDF5

public static long readMatrixFromHDF5(H5ByteReader byteReader, String datasetName, MatrixBlock dest, int rl, long ru, long clen, int blen)

### computeHDF5Size

public static MatrixBlock computeHDF5Size(List<org.apache.hadoop.fs.Path> files, org.apache.hadoop.fs.FileSystem fs, String datasetName, long estnnz) throws IOException, DMLRuntimeException

Throws:
  `IOException`
  `DMLRuntimeException`